.main {
   .main__section {
        padding-top: 200px;
        padding-bottom: 202px;
        background-image: url('../img/background/main.png');
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        position: relative;

        @media (max-width: 1024px) {
            padding-top: 150px;
            padding-bottom: 151px;
            background-position: right;

            &::before {
                content: "";
                position: absolute;
                top: 0px;
                right: 0px;
                bottom: 0px;
                left: 0px;
                background-color: $white;
                opacity: 0.7;
                z-index: 1;
            }
           
        }

        @media (max-width: 576px) {
            padding-top: 112px;
            padding-bottom: 113px;
        }

        .main__block {
            display: flex;
            flex-direction: column;
            gap: 80px;
            position: relative;
            z-index: 2;
           
            @media (max-width: 1024px) {
                gap: 60px;
            }

            @media (max-width: 576px) {
                gap: 45px;
            }

            .list__title {
                @include listTitle;
            }

            .info__list {
                padding-left: 15px;
                display: flex;
                flex-direction: column;
                gap: 5px;
                
                .info__item {
                    @include infoItem;
                }

                @media (max-width: 1024px) {
                    padding-left: 11px;
                }
            }

            .buttons__wrapper {
                display: flex;
                gap: 30px;
                position: relative;
               

                @media (max-width: 576px) {
                    flex-direction: column;
                    gap: 25px;
                }

                .main__button {
                    @include mainButton;
                }
            }
        }
    }

    .order__section {
        padding-top: 120px;
        padding-bottom: 150px;
        background-color: $darkBlue;
        position: relative;

        &::before {
            content: "";
            position: absolute;
            top: 0px;
            right: 0px;
            bottom: 0px;
            left: 0px;
            background-image: url('../img/background/map-point.png');
            z-index: 1;
        }

        @media (max-width: 1024px) {
            padding-top: 90px;
            padding-bottom: 112px;
        }

        @media (max-width: 576px) {
            padding-top: 68px;
            padding-bottom: 84px;
        }

        .info__text {
            @include infoText;
        }

        .order__block {
            position: relative;
            z-index: 2;
            margin-bottom: 80px;

            .stages__list {
                display: grid;
                grid-template-columns: repeat(auto-fill,minmax(160px,1fr));
                grid-gap: 3rem;

                @media (max-width: 1280px) {
                    grid-template-columns: repeat(auto-fill,minmax(170px,1fr));
                    grid-gap: 2rem;
                }

                @media (max-width: 1045px) {
                    grid-template-columns: repeat(auto-fill,minmax(300px,1fr));
                    grid-gap: 3rem;
                }

                @media (max-width: 768px) {
                    grid-template-columns: repeat(auto-fill,minmax(220px,1fr));
                    grid-gap: 3rem 2rem;
                }

                @media (max-width: 576px) {
                    grid-template-columns: repeat(auto-fill,minmax(250px,1fr));
                    grid-gap: 2rem 2rem;
                }

                
                .stage__item {
                    max-width: 209px;
                    display: flex;
                    flex-direction: column;
                    gap: 20px;
                    align-items: center;
                    text-align: center;

                    @media (max-width: 1045px) {
                        flex-direction: row;
                        max-width: 100%;
                        gap: 30px;
                        text-align: left;
                    }

                    @media (max-width: 768px) {
                        gap: 15px;
                    }

                    .stage__image {
                        position: relative;
                        display: flex;
                        z-index: 1;

                        @media (max-width: 1280px) {
                            svg {
                                width: 80px;
                                height: 80px;
                            }
                        }

                        @media (max-width: 768px) {
                            svg {
                                width: 60px;
                                height: 60px;
                            }
                        }

                    }

                    .stages__text {
                        @include stagesText;
                    }

                    &:not(:last-child) {
                        .stage__image {
                            &::before {
                                position: absolute;
                                top: 50%;
                                transform: translateY(-50%);
                                content: url('../img/icon/points.svg');
                                right: -180px;
                                z-index: -1;
            
                                @media (max-width: 1280px) {
                                    right: -200px;
                                }

                                @media (max-width: 1045px) {
                                    display: none;
                                }
                            }
                        }
                    }
                }
            }
        }

        .filter__form {
            position: relative;
            z-index: 2;

            .filter__wrapper {
                display: grid;
                grid-template-columns: repeat(auto-fill, minmax(300px, 1fr)); 
                gap: 30px;
                margin-bottom: 55px;

                @media (max-width: 1024px) {
                    grid-template-columns: repeat(auto-fill, minmax(310px, 1fr)); 
                    gap: 50px;
                    margin-bottom: 65px;
                }

                @media (max-width: 768px) {
                    grid-template-columns: repeat(auto-fill, minmax(220px, 1fr)); 
                }

                @media (max-width: 576px) {
                    grid-template-columns: repeat(auto-fill, minmax(270px, 1fr)); 
                    gap: 40px 0;
                    margin-bottom: 50px;
                }


                .filter__item {
                    @include filterItem;
                    flex: 0 0 33.33%;
                }

                .select {

                    @media (max-width: 1024px) {
                        order: 3;
                    }

                    .select__custom {
                        position: relative;
                       

                        .options__wrapper {
                            overflow-y: scroll;
                            height: 180px;

                            &::-webkit-scrollbar-track {
                                background-color: $grayPurple;
                                border-radius: 3px;
                            }

                            &::-webkit-scrollbar {
                                width: 5px;
                            }

                            &::-webkit-scrollbar-thumb {
                                background-color: $blue;
                                border-radius: 3px;
                            }

                        }

                        .select__trigger {
                            @include selectTrigger;
                        }

                        .select__options {
                            @include selectOptions;
                        }
                    }

                    .select__custom.select--active {
                        .select__trigger {
                            background-color: $grayPurple;
                            border: 1px solid $grayPurple;
                            color: $white;
                            border-bottom-left-radius: 0;
                            border-bottom-right-radius: 0;

                            .arrow {
                                transform: rotate(180deg);

                                svg {
                                    path {
                                        fill: $white;
                                    }
                                }
                            }
                        }

                        .select__options {
                            visibility: visible;
                            opacity: 1;
                        }
                    }
                }

                .range__slider {
                    grid-column: 3/1;

                    @media (max-width: 576px) {
                        grid-column: inherit;
                    }

                    .range__wrapper {
                        @include rangeWrapper;
                    }

                    .slider__range {
                        @include sliderRange;
                    }
                }

                .upload__file {

                    @media (max-width: 1024px) {
                        order: 4;
                    }

                    .upload__input {
                        @include uploadInput;
                    }

                    .upload__label {
                        @include uploadLabel;
                    }
                }
            }

            .send__button {
                @include sendButton;
            }
        }
    }
}